en:
  first: "First"

  activemodel:
    errors:
      messages: :"activerecord.errors.messages"

  activerecord:
    errors:
      messages:
        inclusion: "is not included in the list"
        exclusion: "is reserved"
        invalid: "is invalid"
        confirmation: "doesn't match confirmation"
        accepted: "must be accepted"
        empty: "can't be empty"
        blank: "can't be blank"
        too_long: "is too long (maximum is %{count} characters)"
        too_short: "is too short (minimum is %{count} characters)"
        wrong_length: "is the wrong length (should be %{count} characters)"
        taken: "has already been taken"
        not_a_number: "is not a number"
        greater_than: "must be greater than %{count}"
        greater_than_or_equal_to: "must be greater than or equal to %{count}"
        equal_to: "must be equal to %{count}"
        less_than: "must be less than %{count}"
        less_than_or_equal_to: "must be less than or equal to %{count}"
        odd: "must be odd"
        even: "must be even"
        record_invalid: "Validation failed: %{errors}"

      models:
        user:
          blank: "This is a custom blank message for %{model}: %{attribute}"
          attributes:
            login:
              blank: "This is a custom blank message for User login"

    models:
      user: "Dude"

    attributes:
      admins:
        user:
          login: "Handle"

  date:
    formats:
      # Use the strftime parameters for formats.
      # When no format has been given, it uses default.
      # You can provide other formats here if you like!
      default: "%Y-%m-%d"
      short: "%b %d"
      long: "%B %d, %Y"

    day_names: [Sunday, Monday, Tuesday, Wednesday, Thursday, Friday, Saturday]
    abbr_day_names: [Sun, Mon, Tue, Wed, Thu, Fri, Sat]

    # Don't forget the nil at the beginning; there's no such thing as a 0th month
    month_names: [~, January, February, March, April, May, June, July, August, September, October, November, December]
    abbr_month_names: [~, Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec]
    # Used in date_select and datime_select.
    order:
      - :year,
      - :month,
      - :day

  time:
    formats:
      default: "%a, %d %b %Y %H:%M:%S %z"
      short: "%d %b %H:%M"
      long: "%B %d, %Y %H:%M"
    am: "am"
    pm: "pm"

  support:
    array:
      words_connector: ", "
      two_words_connector: " and "
      last_word_connector: ", and "

  activemodel:
    errors:
      messages:
        inclusion: "is not included in the list"
        exclusion: "is reserved"
        invalid: "is invalid"
        confirmation: "doesn't match confirmation"
        accepted: "must be accepted"
        empty: "can't be empty"
        blank: "can't be blank"
        too_long: "is too long (maximum is %{count} characters)"
        too_short: "is too short (minimum is %{count} characters)"
        wrong_length: "is the wrong length (should be %{count} characters)"
        taken: "has already been taken"
        not_a_number: "is not a number"
        greater_than: "must be greater than %{count}"
        greater_than_or_equal_to: "must be greater than or equal to %{count}"
        equal_to: "must be equal to %{count}"
        less_than: "must be less than %{count}"
        less_than_or_equal_to: "must be less than or equal to %{count}"
        odd: "must be odd"
        even: "must be even"
        record_invalid: "Validation failed: %{errors}"

      models:
        user:
          blank: "This is a custom blank message for %{model}: %{attribute}"
          attributes:
            login:
              blank: "This is a custom blank message for User login"

    models:
      user: "Dude"

    attributes:
      user:
        login: "Handle"

  model_data:
    date:
      formats:
        # Use the strftime parameters for formats.
        # When no format has been given, it uses default.
        # You can provide other formats here if you like!
        default: "%Y-%m-%d"
        short: "%b %d"
        long: "%B %d, %Y"

      day_names: [Sunday, Monday, Tuesday, Wednesday, Thursday, Friday, Saturday]
      abbr_day_names: [Sun, Mon, Tue, Wed, Thu, Fri, Sat]

      # Don't forget the nil at the beginning; there's no such thing as a 0th month
      month_names: [~, January, February, March, April, May, June, July, August, September, October, November, December]
      abbr_month_names: [~, Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec]
      # Used in date_select and datime_select.
      order:
        - :year
        - :month
        - :day

    time:
      formats:
        default: "%a, %d %b %Y %H:%M:%S %z"
        short: "%d %b %H:%M"
        long: "%B %d, %Y %H:%M"
      am: "am"
      pm: "pm"

    support:
      array:
        words_connector: ", "
        two_words_connector: " and "
        last_word_connector: ", and "
